﻿@model AHCBL.Dto.LoginDto
@{
    ViewBag.Title = "Login";
    Layout = "~/Views/Shared/_Layout_login.cshtml";
}
@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    <div class="login-container">
        <form name="login_form" id="login_form" method="post">
            <div class="login-box">

                <div class="headline" data-aos="fade-left">
                    <img src="../../common/image/logo-login.png" style="width:220px;height:auto;">
                </div>

                <div class="box-content" style="width:100%;">

                    <div class="login-input" data-aos="fade-up" data-aos-duration="2000">
                        @Html.EditorFor(model => model.username, new { htmlAttributes = new { @class = "shadow", placeholder = "ID" } })
                        @Html.ValidationMessageFor(model => model.username, "", new { @class = "text-danger" })
                    </div>

                    <div class="login-input" data-aos="fade-up" data-aos-duration="2000">
                        @Html.PasswordFor(model => model.password, new { @class = "shadow", placeholder = "Password", type = "password" })
                        @Html.ValidationMessageFor(model => model.password, "", new { @class = "text-danger" })
                    </div>
                    @ViewBag.Message
                    <div class="remember">
                        <label class="checkbox-wrap">
                            <input type="checkbox" id="id_save" name="id_save" value="Y">&nbsp;자동로그인
                        </label>
                    </div>
                    <div id="sign" data-aos="fade-up" data-aos-duration="2000">
                        <button class="btn btnOk" type="submit">로그인</button>
                        <input type="button" class="btn btnCa" value="회원가입" onclick="window.location.href='/Register';" />
                    </div>


                </div>
            </div>
        </form>
    </div>
    <snowfall>
        <snowflake><img src="~/common/image/flag.png"></snowflake>
        <snowflake><img src="~/common/image/flag.png"></snowflake>
        <snowflake><img src="~/common/image/flag.png"></snowflake>
        <snowflake><img src="~/common/image/flag.png"></snowflake>
        <snowflake><img src="~/common/image/flag.png"></snowflake>
        <snowflake><img src="~/common/image/flag.png"></snowflake>
        <snowflake><img src="~/common/image/flag.png"></snowflake>
        <snowflake><img src="~/common/image/flag.png"></snowflake>
        <snowflake><img src="~/common/image/flag.png"></snowflake>
        <snowflake><img src="~/common/image/flag.png"></snowflake>
        <snowflake><img src="~/common/image/flag.png"></snowflake>
        <snowflake><img src="~/common/image/flag.png"></snowflake>
        <snowflake><img src="~/common/image/flag.png"></snowflake>
        <snowflake><img src="~/common/image/flag.png"></snowflake>
        <snowflake><img src="~/common/image/flag.png"></snowflake>
        <snowflake><img src="~/common/image/flag.png"></snowflake>
        <snowflake><img src="~/common/image/flag.png"></snowflake>
        <snowflake><img src="~/common/image/flag.png"></snowflake>
        <snowflake><img src="~/common/image/flag.png"></snowflake>
    </snowfall>
}
<style>
    .modal-header {
        /* display: -webkit-box; */
        /*display: -ms-flexbox; */
        display: unset !important;
    }
</style>
<button type="button" id="openModal" class="btn btn-info btn-lg" data-toggle="modal" data-target="#adminNotice" style="display:none">@ViewBag.ModalShow</button>
<!-- Modal -->
<div id="adminNotice" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">@ViewBag.ModalTitle</h4>
            </div>
            <div class="modal-body">
                <p>@ViewBag.ModalContent</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>

    </div>
</div>
<!-- End AdminNotice -->

<script type="text/javascript">
    $(document).ready(function () {
        if ($('#openModal').text() == "1") {
            $('#openModal').click();
        } else {
            $("#adminNotice .close").click();
        }
    });
</script>


<script>
    $(document).ready(function () {
        if ($.cookie("id_save") != "" && typeof $.cookie("id_save") != "undefined") {
            $("#username").val($.cookie("id_save"));
            $("input:checkbox[id='id_save']").prop("checked", true);
            $("#pwd").focus();
        }
        else
            $("#username").focus();

        $("#pwd").keyup(function (event) {
            if (event.keyCode === 13) {
                $("#LOGIN").click();
            }
        });

        $("#LOGIN").click(function () {
            doAction();
        })

        $("#SIGNUP").click(function () {
            location.href = "../member/join.asp";
        })
    });

    function doValidate() {
        if ($.trim($("#username").val()) == "") {
            alert("아이디를 입력해 주세요.");
            $("#username").focus();
            return false;
        }

        if ($.trim($("#pwd").val()) == "") {
            alert("비밀번호를 입력해 주세요.");
            $("#pwd").focus();
            return false;
        }

        return true;
    }

    function doAction() {
        if (doValidate()) {
            //					$("#login_form").attr("action", "../../frame/member/memberController.asp").submit();
            $.mvcAjax({
                url: "../../frame/login/loginController.asp",
                data: $("#login_form").serialize(),
                success: function (data) {
                    var result = data.RESULT;
                    if (result.CODE == 1) {
                        if ($("input:checkbox[id='id_save']").is(":checked"))
                            $.cookie("id_save", $("#username").val(), { expire: 365 });
                        else
                            $.cookie("id_save", "");

                        var uri = "../main/main.asp";
                        if ($("#go_url").val() != "")
                            uri = $("#go_url").val();

                        location.href = uri;
                    } else {
                        alert("아이디 또는 비밀번호를 확인하시기 바랍니다.");
                        $("#pwd").val("").focus();
                    }
                }
            });
        }
    }
</script>